## Allgemein

Dieses Teilprojekt bündelt:
* Die End-2-End Tests für die Alfa-Anwendung
* Das Setup für verschiedene Konfigurationsvarianten

Die Konfigurationsvarianten sind:
* Ausführungsart und Umgebung
  * lokal
  * Im Cluster (dynamisch deployed)
  * Im Cluster (statisch)
* Fachlich unterschiedliche Testgruppen
  * `einheitlicher-ansprechpartner` -> 'EA'-Umgebung
  * `main-tests` -> 'Dev'-Umgebung

Dabei benötigen die Testgruppen (sogenannte "App-Varianten", siehe Verzeichnis [src/e2e](src/e2e)) jeweils eine eigene Umgebung in der gewählten Ausführungsart.

## Lokale Ausführung
Siehe [Entwicklungsdokumentation](https://git.ozg-sh.de/ozgcloud-doc/dokumentation/src/branch/master/Entwicklungsumgebung#e2e-tests).

## Jenkins/Cluster Ausführung
Die E2E Tests werden in parallelen Jenkins Stages in separaten Namespaces durchgeführt.

Es dürfen nur die der Umgebung entsprechenden User für die Tests genutzt werden (siehe [Standardbenutzer](https://git.ozg-sh.de/ozgcloud-doc/dokumentation/src/branch/master/Anwender/Standardbenutzer.md)).

Es gibt 2 Jenkinsfiles:
* E2E ("main") - Das derzeit benutzte Hauptprofil. Namespaces werden hier neu aufgebaut.
* Static - Profil, wenn eine bestehender Namespace (ggf. in ganz bestimmter Konfiguration) getestet werden soll.

### Dynamisch deployed
* siehe: [Jenkinsfile.e2e](../../Jenkinsfile.e2e)
* Im Verzeichnis 'src/fixtures/argocd' liegen die Kubernetes Templates (ArgoCD-Namespace-Helm-Charts)
* Neue Umgebungen werden im Repo [gitops im Branch "e2e"](https://git.ozg-sh.de/ozgcloud-devops/gitops/src/branch/e2e) eingetragen.

### Gegen ein bestehenden Namespace testen
Siehe: [Jenkinsfile.e2e](../../Jenkinsfile.e2e.static)

Beispiel Namespace: sh-mastere2emain-dev

1. Umleiten der Datenbank: `kubectl port-forward vorgang-manager-database-0 27017:27017 -n sh-mastere2emain-dev`

2. Umleiten des Elastic Search: `kubectl port-forward ozg-search-cluster-es-ozg-search-0 9200:9200 -n elastic-system`

3. Host Eintrag ergänzen: In `/etc/hosts` folgenden Eintrag ergänzen: `127.0.0.1 vorgang-manager-database-0.vorgang-manager-database-svc.sh-mastere2emain-dev.svc.cluster.local`

4. Cypress mit entsprechender config starten: `npm run cypress:open -- --config-file cypress-master-main.json`

## Dev Hinweise

### -march Architektur

In die `.env` Datei eintragen:
```
USER_MANAGER_DOCKER_IMAGE=march-snapshot-latest
```