/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CollaborationSharedModule } from '@alfa-client/collaboration-shared';
import { TechSharedModule } from '@alfa-client/tech-shared';
import { UiModule } from '@alfa-client/ui';
import { ZustaendigeStelleModule } from '@alfa-client/zustaendige-stelle';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { ButtonWithSpinnerComponent, TextEditorComponent, TextareaEditorComponent } from '@ods/component';
import {
  ButtonComponent,
  CloseIconComponent,
  ExternalUnitIconComponent,
  OfficeIconComponent,
  PublicAdministrationIconComponent,
  SaveIconComponent,
  SearchIconComponent,
  UsersIconComponent,
} from '@ods/system';
import { ExterneFachstelleListItemContainerComponent } from 'libs/externe-fachstelle/src/lib/externe-fachstelle-list-item-container/externe-fachstelle-list-item-container.component';
import { OrganisationsEinheitListItemContainerComponent } from 'libs/organisations-einheit/src/lib/organisations-einheit-list-item-container/organisations-einheit-list-item-container.component';
import { CollaborationInVorgangContainerComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang-container.component';
import { AnfrageErstellenButtonComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang/anfrage-erstellen-button/anfrage-erstellen-button.component';
import { CollaborationInVorgangComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang/collaboration-in-vorgang.component';
import { ExterneFachstelleContainerComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang/externe-fachstelle-container/externe-fachstelle-container.component';
import { OrganisationsEinheitContainerComponent } from './collaboration-in-vorgang-container/collaboration-in-vorgang/organisations-einheit-container/organisations-einheit-container.component';
import { CollaborationListContainerComponent } from './collaboration-in-vorgang-container/collaboration-list-container/collaboration-list-container.component';
import { CollaborationRequestComponent } from './collaboration-in-vorgang-container/collaboration-list-container/collaboration-request/collaboration-request.component';
import { CollaborationRequestFormComponent } from './collaboration-in-vorgang-container/collaboration-request-form/collaboration-request-form.component';

@NgModule({
  imports: [
    CommonModule,
    ButtonComponent,
    SaveIconComponent,
    CloseIconComponent,
    SearchIconComponent,
    CollaborationSharedModule,
    UsersIconComponent,
    TextEditorComponent,
    TextareaEditorComponent,
    FormsModule,
    ReactiveFormsModule,
    TechSharedModule,
    ButtonWithSpinnerComponent,
    ZustaendigeStelleModule,
    OfficeIconComponent,
    ExternalUnitIconComponent,
    PublicAdministrationIconComponent,
    OrganisationsEinheitListItemContainerComponent,
    ExterneFachstelleListItemContainerComponent,
    UiModule,
  ],
  declarations: [
    CollaborationInVorgangContainerComponent,
    CollaborationInVorgangComponent,
    CollaborationRequestFormComponent,
    AnfrageErstellenButtonComponent,
    OrganisationsEinheitContainerComponent,
    ExterneFachstelleContainerComponent,
    CollaborationListContainerComponent,
    CollaborationRequestComponent,
  ],
  exports: [CollaborationInVorgangContainerComponent],
})
export class CollaborationModule {}
