/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { OrganisationsEinheitResource } from '@alfa-client/zustaendige-stelle-shared';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createOrganisationsEinheitResource } from 'libs/zustaendige-stelle-shared/test/organisations-einheit';
import { OrganisationsEinheitComponent } from './organisations-einheit.component';

describe('OrganisationsEinheitComponent', () => {
  let component: OrganisationsEinheitComponent;
  let fixture: ComponentFixture<OrganisationsEinheitComponent>;

  const organisationsEinheitResource: OrganisationsEinheitResource = createOrganisationsEinheitResource();

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [OrganisationsEinheitComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(OrganisationsEinheitComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('set organisationsEinheit', () => {
    it('should call update by organisationsEinheit', () => {
      component.updateByOrganisationsEinheit = jest.fn();

      component.organisationsEinheitResource = organisationsEinheitResource;

      expect(component.updateByOrganisationsEinheit).toHaveBeenCalledWith(organisationsEinheitResource);
    });
  });

  describe('update by organisationsEinheit', () => {
    it('should set address', () => {
      component.address = null;

      component.updateByOrganisationsEinheit(organisationsEinheitResource);

      expect(component.address).toEqual(
        `${organisationsEinheitResource.anschrift.strasse} ${organisationsEinheitResource.anschrift.hausnummer}, ${organisationsEinheitResource.anschrift.plz} ${organisationsEinheitResource.anschrift.ort}`,
      );
    });
  });
});
